MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid Interface Reference

## Public Member Functions
bool | IsGainScheduling (EAxis axis)
| Returns enabled/disabled flag of gain scheduling function.
void | SwitchGainScheduling (EAxis axis, bool enabled)
| Enables/disables gain scheduling function.
float | ReadPGain (EAxis axis)
| Returns proportional term.
void | WritePGain (EAxis axis, float pGain)
| Sets proportional term.
float | ReadIGain (EAxis axis)
| Returns integral term.
void | WriteIGain (EAxis axis, float iGain)
| Sets integral term.
float | ReadDGain (EAxis axis)
| Returns derivative term.
void | WriteDGain (EAxis axis, float dGain)
| Sets derivative term.
float | ReadMinimumOutput (EAxis axis)
| Returns minimum allowable output before clamping.
void | WriteMinimumOutput (EAxis axis, float minimumOutput)
| Sets minimum allowable output before clamping.
float | ReadMaximumOutput (EAxis axis)
| Returns maximum allowable output before clamping.
void | WriteMaximumOutput (EAxis axis, float maximumOutput)
| Sets maximum allowable output before clamping.
float | ReadMinimumIntegral (EAxis axis)
| Returns minimum allowable integral before clamping.
void | WriteMinimumIntegral (EAxis axis, float minimumIntegral)
| Sets minimum allowable integral before clamping.
float | ReadMaximumIntegral (EAxis axis)
| Returns maximum allowable integral before clamping.
void | WriteMaximumIntegral (EAxis axis, float maximumIntegral)
| Sets maximum allowable integral before clamping.
float | ReadDesiredSetPoint (EAxis axis)
| Returns internal desired optical feedback value of the PID.
float | ReadProportionalGainQuadraticTermMultiplier (EAxis axis)
| Returns multiplier of the quadratic term of the proportional gain scheduling function.
void | WriteProportionalGainQuadraticTermMultiplier (EAxis axis, float aP)
| Sets multiplier of the quadratic term of the proportional gain scheduling function.
float | ReadProportionalGainLinearTermMultiplier (EAxis axis)
| Returns multiplier of the linear term of the proportional gain scheduling function.
void | WriteProportionalGainLinearTermMultiplier (EAxis axis, float bP)
| Sets multiplier of the linear term of the proportional gain scheduling function.
float | ReadProportionalGainConstantTerm (EAxis axis)
| Returns constant term of the proportional gain scheduling function.
void | WriteProportionalGainConstantTerm (EAxis axis, float cP)
| Sets constant term of the proportional gain scheduling function.
float | ReadIntegralGainQuadraticTermMultiplier (EAxis axis)
| Returns multiplier of the quadratic term of the integral gain scheduling function.
void | WriteIntegralGainQuadraticTermMultiplier (EAxis axis, float aI)
| Sets multiplier of the quadratic term of the integral gain scheduling function.
float | ReadIntegralGainLinearTermMultiplier (EAxis axis)
| Returns multiplier of the linear term of the integral gain scheduling function.
void | WriteIntegralGainLinearTermMultiplier (EAxis axis, float bI)
| Sets multiplier of the linear term of the integral gain scheduling function.
float | ReadIntegralGainConstantTerm (EAxis axis)
| Returns constant term of the integral gain scheduling function.
void | WriteIntegralGainConstantTerm (EAxis axis, float cI)
| Sets constant term of the integral gain scheduling function.
float | ReadDerivativeGainQuadraticTermMultiplier (EAxis axis)
| Returns multiplier of the quadratic term of the derivative gain scheduling function.
void | WriteDerivativeGainQuadraticTermMultiplier (EAxis axis, float aD)
| Sets multiplier of the quadratic term of the derivative gain scheduling function.
float | ReadDerivativeGainLinearTermMultiplier (EAxis axis)
| Returns multiplier of the linear term of the derivative gain scheduling function.
void | WriteDerivativeGainLinearTermMultiplier (EAxis axis, float bD)
| Sets multiplier of the linear term of the derivative gain scheduling function.
float | ReadDerivativeGainConstantTerm (EAxis axis)
| Returns constant term of the derivative gain scheduling function.
void | WriteDerivativeGainConstantTerm (EAxis axis, float cD)
| Sets constant term of the derivative gain scheduling function.
GainSchedulingVariable | ReadGainSchedulingVariable (EAxis axis)
| Returns variable which is selected in the gain scheduling function.
void | WriteGainSchedulingVariable (EAxis axis, GainSchedulingVariable variable)
| Sets variable which is selected in the gain scheduling function.
bool | ReadDerivativeTermFilterEnabled (EAxis axis)
| Returns flag enabled/disabled a 2nd order low pass Butterworth filter acting on the derivative term.
void | SwitchDerivativeTermFilter (EAxis axis, bool enabled)
| Enables/disables a 2nd order low pass Butterworth filter acting on the derivative term.
float | ReadCutOffFrequency (EAxis axis)
| Returns cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).
void | WriteCutOffFrequency (EAxis axis, float frequency)
| Sets cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

## Member Function Documentation

## ◆ IsGainScheduling()

bool MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.IsGainScheduling | ( | EAxis | axis | ) |

Returns enabled/disabled flag of gain scheduling function.

Returns

## ◆ ReadCutOffFrequency()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadCutOffFrequency | ( | EAxis | axis | ) |

Returns cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

Returns

## ◆ ReadDerivativeGainConstantTerm()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadDerivativeGainConstantTerm | ( | EAxis | axis | ) |

Returns constant term of the derivative gain scheduling function.

Returns

## ◆ ReadDerivativeGainLinearTermMultiplier()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadDerivativeGainLinearTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the linear term of the derivative gain scheduling function.

Returns

## ◆ ReadDerivativeGainQuadraticTermMultiplier()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadDerivativeGainQuadraticTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the quadratic term of the derivative gain scheduling function.

Returns

## ◆ ReadDerivativeTermFilterEnabled()

bool MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadDerivativeTermFilterEnabled | ( | EAxis | axis | ) |

Returns flag enabled/disabled a 2nd order low pass Butterworth filter acting on the derivative term.

Returns

## ◆ ReadDesiredSetPoint()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadDesiredSetPoint | ( | EAxis | axis | ) |

Returns internal desired optical feedback value of the PID.

Returns

## ◆ ReadDGain()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadDGain | ( | EAxis | axis | ) |

Returns derivative term.

Returns

## ◆ ReadGainSchedulingVariable()

GainSchedulingVariable MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadGainSchedulingVariable | ( | EAxis | axis | ) |

Returns variable which is selected in the gain scheduling function.

Returns

## ◆ ReadIGain()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadIGain | ( | EAxis | axis | ) |

Returns integral term.

Returns

## ◆ ReadIntegralGainConstantTerm()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadIntegralGainConstantTerm | ( | EAxis | axis | ) |

Returns constant term of the integral gain scheduling function.

Returns

## ◆ ReadIntegralGainLinearTermMultiplier()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadIntegralGainLinearTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the linear term of the integral gain scheduling function.

Returns

## ◆ ReadIntegralGainQuadraticTermMultiplier()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadIntegralGainQuadraticTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the quadratic term of the integral gain scheduling function.

Returns

## ◆ ReadMaximumIntegral()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadMaximumIntegral | ( | EAxis | axis | ) |

Returns maximum allowable integral before clamping.

Returns

## ◆ ReadMaximumOutput()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadMaximumOutput | ( | EAxis | axis | ) |

Returns maximum allowable output before clamping.

Returns

## ◆ ReadMinimumIntegral()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadMinimumIntegral | ( | EAxis | axis | ) |

Returns minimum allowable integral before clamping.

Returns

## ◆ ReadMinimumOutput()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadMinimumOutput | ( | EAxis | axis | ) |

Returns minimum allowable output before clamping.

Returns

## ◆ ReadPGain()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadPGain | ( | EAxis | axis | ) |

Returns proportional term.

Returns

## ◆ ReadProportionalGainConstantTerm()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadProportionalGainConstantTerm | ( | EAxis | axis | ) |

Returns constant term of the proportional gain scheduling function.

Returns

## ◆ ReadProportionalGainLinearTermMultiplier()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadProportionalGainLinearTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the linear term of the proportional gain scheduling function.

Returns

## ◆ ReadProportionalGainQuadraticTermMultiplier()

float MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.ReadProportionalGainQuadraticTermMultiplier | ( | EAxis | axis | ) |

Returns multiplier of the quadratic term of the proportional gain scheduling function.

Returns

## ◆ SwitchDerivativeTermFilter()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.SwitchDerivativeTermFilter | ( | EAxis | axis,
|  | bool | enabled )

Enables/disables a 2nd order low pass Butterworth filter acting on the derivative term.

Returns

## ◆ SwitchGainScheduling()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.SwitchGainScheduling | ( | EAxis | axis,
|  | bool | enabled )

Enables/disables gain scheduling function.

Returns

## ◆ WriteCutOffFrequency()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteCutOffFrequency | ( | EAxis | axis,
|  | float | frequency )

Sets cut-off frequency in Hz of the 2nd order low pass Butterworth filter acting on the derivative term. Range (0 - 5000).

Returns

## ◆ WriteDerivativeGainConstantTerm()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteDerivativeGainConstantTerm | ( | EAxis | axis,
|  | float | cD )

Sets constant term of the derivative gain scheduling function.

Returns

## ◆ WriteDerivativeGainLinearTermMultiplier()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteDerivativeGainLinearTermMultiplier | ( | EAxis | axis,
|  | float | bD )

Sets multiplier of the linear term of the derivative gain scheduling function.

Returns

## ◆ WriteDerivativeGainQuadraticTermMultiplier()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteDerivativeGainQuadraticTermMultiplier | ( | EAxis | axis,
|  | float | aD )

Sets multiplier of the quadratic term of the derivative gain scheduling function.

Returns

## ◆ WriteDGain()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteDGain | ( | EAxis | axis,
|  | float | dGain )

Sets derivative term.

Returns

## ◆ WriteGainSchedulingVariable()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteGainSchedulingVariable | ( | EAxis | axis,
|  | GainSchedulingVariable | variable )

Sets variable which is selected in the gain scheduling function.

Returns

## ◆ WriteIGain()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteIGain | ( | EAxis | axis,
|  | float | iGain )

Sets integral term.

Returns

## ◆ WriteIntegralGainConstantTerm()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteIntegralGainConstantTerm | ( | EAxis | axis,
|  | float | cI )

Sets constant term of the integral gain scheduling function.

Returns

## ◆ WriteIntegralGainLinearTermMultiplier()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteIntegralGainLinearTermMultiplier | ( | EAxis | axis,
|  | float | bI )

Sets multiplier of the linear term of the integral gain scheduling function.

Returns

## ◆ WriteIntegralGainQuadraticTermMultiplier()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteIntegralGainQuadraticTermMultiplier | ( | EAxis | axis,
|  | float | aI )

Sets multiplier of the quadratic term of the integral gain scheduling function.

Returns

## ◆ WriteMaximumIntegral()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteMaximumIntegral | ( | EAxis | axis,
|  | float | maximumIntegral )

Sets maximum allowable integral before clamping.

Returns

## ◆ WriteMaximumOutput()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteMaximumOutput | ( | EAxis | axis,
|  | float | maximumOutput )

Sets maximum allowable output before clamping.

Returns

## ◆ WriteMinimumIntegral()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteMinimumIntegral | ( | EAxis | axis,
|  | float | minimumIntegral )

Sets minimum allowable integral before clamping.

Returns

## ◆ WriteMinimumOutput()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteMinimumOutput | ( | EAxis | axis,
|  | float | minimumOutput )

Sets minimum allowable output before clamping.

Returns

## ◆ WritePGain()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WritePGain | ( | EAxis | axis,
|  | float | pGain )

Sets proportional term.

Returns

## ◆ WriteProportionalGainConstantTerm()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteProportionalGainConstantTerm | ( | EAxis | axis,
|  | float | cP )

Sets constant term of the proportional gain scheduling function.

Returns

## ◆ WriteProportionalGainLinearTermMultiplier()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteProportionalGainLinearTermMultiplier | ( | EAxis | axis,
|  | float | bP )

Sets multiplier of the linear term of the proportional gain scheduling function.

Returns

## ◆ WriteProportionalGainQuadraticTermMultiplier()

void MrEModuleSdk.Devices.SdkInterfaces.SignalFlowManager.ControlMode.IOpticalFeedbackPid.WriteProportionalGainQuadraticTermMultiplier | ( | EAxis | axis,
|  | float | aP )

Sets multiplier of the quadratic term of the proportional gain scheduling function.

Returns

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/SignalFlowManager/ControlMode/IOpticalFeedbackPid.cs